GSASF(3NCARG)

NAME
GSASF - (Set aspect source flags) - Sets the aspect source flags that determine whether primitive attributes are to be selected from individual settings or from "bundle tables".

SYNOPSIS
CALL GSASF (LASF)

C-BINDING SYNOPSIS
#include <ncarg/gks.h>

void gset_asfs(const Gasfs *list_asf);

DESCRIPTION

LASF
    (Integer array, input) - An array of settings for the thirteen attributes:

    1   Linetype

    2   Linewidth scale factor

    3   Polyline color index

    4   Marker type

    5   Marker size scale factor

    6   Polymarker color index

    7   Text font and precision

    8   Character expansion factor

    9   Character spacing

    10  Text color index

    11  Fill area interior style

    12  Fill area style index

    13  Fill area color index

Each value of LASF is either "0" (for "bundled") or "1" (for "individual").

USAGE
In NCAR Graphics all attribute aspect source flags are defaulted to "individual" (all values for LASF are "1"). It is advised that for dependable results when using NCAR Graphics these values remain in their default settings. Some GKS packages default these values to "bundled", so, if one expects to use such a package, it would be precautionary to call GSASF to set all aspect source flags to "1" before calling other GKS functions.

ACCESS
To use GKS routines, load the NCAR GKS-0A library ncarg_gks.

SEE ALSO
Online: gqasf, gsln, gslwsc, gsplci, gsmk, gsmksc, gspmci, gstxfp, gschxp, gstxsp, gstxci, gsfais, gsfasi, gsfaci, gqln, gqlwsc, gqplci, gqmk, gqmksc, gqpmci, gqtxfp, gqchxp, gqtxsp, gqtxci, gqfais, gqfasi, gqfaci,, gset_asfs

Hardcopy: "User's Guide for NCAR GKS-0A Graphics"

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.